<form class="example-form" (ngSubmit)="onSubmit()" [formGroup]="iconographyAddForm" enctype="multipart/form-data">
	<div mat-dialog-content >
		<mat-form-field class="full-content">
			<input matInput placeholder="Título" type="text" formControlName="title" #title required [errorStateMatcher]="matcher">
			<mat-error *ngIf="iconographyAddForm.get('title').invalid && iconographyAddForm.get('title').errors.required && iconographyAddForm.get('title').dirty">
				Ingrese un título
			</mat-error>
			<mat-error *ngIf="iconographyAddForm.get('title').invalid && iconographyAddForm.get('title').errors.minlength && iconographyAddForm.get('title').dirty">
				Título debe tener mínimo 4 caracteres
			</mat-error>

		</mat-form-field>

		<input class="inputImgFile ng-hide" type="file" accept="image/*" formControlName="imgfile" (change)="onFileSelected($event)" />



	</div>
	<div mat-dialog-actions align="center" >
		<button mat-raised-button type="button" (click)="onNoClick()" class="center-elem">Cerrar</button>
		<button mat-raised-button color="warn" type="submit" cdkFocusInitial class="center-elem">Guardar</button>
	</div>
</form>
